aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJohannes Pointner <h4nn35.work@gmail.com>2016-03-07 23:51:46 +0100
committerRichard Purdie <richard.purdie@linuxfoundation.org>2016-03-12 22:11:20 +0000
commit2312eb1b6da67c2c7e8c968db55d99472ac29b49 (patch)
tree7dfea88add28ca548e35fdda254a5498412d72c7
parent74adb14b0002e20099cc2c34e01862e8ddb8e013 (diff)
downloadopenembedded-core-contrib-2312eb1b6da67c2c7e8c968db55d99472ac29b49.tar.gz
openembedded-core-contrib-2312eb1b6da67c2c7e8c968db55d99472ac29b49.tar.bz2
openembedded-core-contrib-2312eb1b6da67c2c7e8c968db55d99472ac29b49.zip
xserver: require sufficiently new libdrm
This fixes the check of the libdrm version in the configure script. Signed-off-by: Johannes Pointner <johannes.pointner@gmail.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
-rw-r--r--meta/recipes-graphics/xorg-xserver/xserver-xorg/modesetting_libdrm_requirements.patch30
-rw-r--r--meta/recipes-graphics/xorg-xserver/xserver-xorg_1.18.0.bb1
2 files changed, 31 insertions, 0 deletions
diff --git a/meta/recipes-graphics/xorg-xserver/xserver-xorg/modesetting_libdrm_requirements.patch b/meta/recipes-graphics/xorg-xserver/xserver-xorg/modesetting_libdrm_requirements.patch
new file mode 100644
index 00000000000..5f186cb8439
--- /dev/null
+++ b/meta/recipes-graphics/xorg-xserver/xserver-xorg/modesetting_libdrm_requirements.patch
@@ -0,0 +1,30 @@
+From bf23db42a4e5943129501223a47b48884cdeb62f Mon Sep 17 00:00:00 2001
+From: Adam Jackson <ajax@redhat.com>
+Date: Wed, 27 Jan 2016 11:50:13 -0500
+Subject: modesetting: Require sufficiently new libdrm
+
+Bugzilla: https://bugs.freedesktop.org/93883
+Signed-off-by: Adam Jackson <ajax@redhat.com>
+Reviewed-by: Alex Deucher <alexander.deucher@amd.com>
+Reviewed-by: Julien Cristau <jcristau@debian.org>
+
+Upstream-Status: Backport
+Signed-off-by: Johannes Pointner <johannes.pointner@gmail.com>
+
+diff --git a/configure.ac b/configure.ac
+index ac3bb64..312fc69 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -2035,8 +2035,7 @@ if test "x$XORG" = xyes; then
+
+ if test "x$DRM" = xyes; then
+ dnl 2.4.46 is required for cursor hotspot support.
+- PKG_CHECK_EXISTS(libdrm >= 2.4.46)
+- XORG_DRIVER_MODESETTING=yes
++ PKG_CHECK_EXISTS(libdrm >= 2.4.46, XORG_DRIVER_MODESETTING=yes, XORG_DRIVER_MODESETTING=no)
+ fi
+
+ AC_SUBST([XORG_LIBS])
+--
+cgit v0.10.2
+
diff --git a/meta/recipes-graphics/xorg-xserver/xserver-xorg_1.18.0.bb b/meta/recipes-graphics/xorg-xserver/xserver-xorg_1.18.0.bb
index e606dac5f94..eb79b404659 100644
--- a/meta/recipes-graphics/xorg-xserver/xserver-xorg_1.18.0.bb
+++ b/meta/recipes-graphics/xorg-xserver/xserver-xorg_1.18.0.bb
@@ -2,6 +2,7 @@ require xserver-xorg.inc
SRC_URI += "file://configure.ac-Use-libsystemd-in-REQUIRED_LIBS-check.patch \
file://musl-arm-inb-outb.patch \
+ file://modesetting_libdrm_requirements.patch \
"
SRC_URI[md5sum] = "3c1c1057d3ad27380d8dd87ffcc182cd"
SRC_URI[sha256sum] = "195670819695d9cedd8dde95fbe069be0d0f488a77797a2d409f9f702daf312e"